Get list of users

GET
https://example.kaiten.ru/api/latest/spaces/{space_id}/users
Path parameters
NameTypeReference
space_idrequiredintegerSpace ID
Query
NameTypeConstraintsDescription
include_inherited_accessbooleanThe result includes users with inherited access
inactivebooleanThe result includes only inactive in company members
Responses

200
DescriptionResponse typeExample
SuccessArray of object
Open
Response Attributes
NameTypeDescription
id

integer

User id
full_name

string

User full name
email

string

User email
username

string

Username for mentions and login
avatar_initials_url

string

Default user avatar
avatar_uploaded_url

null | string

User uploaded avatar url
initials

string

User initials
avatar_type

enum

1 – gravatar, 2 – initials, 3 - uploaded
lng

string

Language
timezone

string

Time zone
theme

enum

light - light color theme, dark - dark color theme, auto - color theme based on OS settings
updated

string

Last update timestamp
created

string

Create date
activated

boolean

User activated flag
ui_version

enum

1 - old ui. 2 - new ui
virtual

boolean

Is user virtual
apps_permissions

string

0 - no access, 1 - full access to Kaiten, access to service desk denied. 2 - guest access to Kaiten, access to service desk denied. 4 - access only to service desk. 5 - full access to Kaiten and service desk. 6 - guest access to Kaiten, access to service desk
access_mod

string

Access modifier with inheritable access modifiers
own_access_mod

string

Own access modifier
own_role_ids

array

User role ids
current

boolean

flag indicating that this is the user on whose behalf the request was made
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbidenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/spaces/{space_id}/users' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!